1#! /bin/sh
2
3# Guess values for system-dependent variables and create Makefiles.
4# Generated automatically using autoconf version 2.12
5# Copyright (C) 1992, 93, 94, 95, 96 Free Software Foundation, Inc.
6#
7# This configure script is free software; the Free Software Foundation
8# gives unlimited permission to copy, distribute and modify it.
9
10# Defaults:
11ac_help=
12ac_default_prefix=/usr/local
13# Any additions from configure.in:
14
15# Initialize some variables set by options.
16# The variables have the same names as the options, with
17# dashes changed to underlines.
18build=NONE
19cache_file=./config.cache
20exec_prefix=NONE
21host=NONE
22no_create=
23nonopt=NONE
24no_recursion=
25prefix=NONE
26program_prefix=NONE
27program_suffix=NONE
28program_transform_name=s,x,x,
29silent=
30site=
31srcdir=
32target=NONE
33verbose=
34x_includes=NONE
35x_libraries=NONE
36bindir='${exec_prefix}/bin'
37sbindir='${exec_prefix}/sbin'
38libexecdir='${exec_prefix}/libexec'
39datadir='${prefix}/share'
40sysconfdir='${prefix}/etc'
41sharedstatedir='${prefix}/com'
42localstatedir='${prefix}/var'
43libdir='${exec_prefix}/lib'
44includedir='${prefix}/include'
45oldincludedir='/usr/include'
46infodir='${prefix}/info'
47mandir='${prefix}/man'
48
49# Initialize some other variables.
50subdirs=
51MFLAGS= MAKEFLAGS=
52# Maximum number of lines to put in a shell here document.
53ac_max_here_lines=12
54
55ac_prev=
56for ac_option
57do
58
59  # If the previous option needs an argument, assign it.
60  if test -n "$ac_prev"; then
61    eval "$ac_prev=\$ac_option"
62    ac_prev=
63    continue
64  fi
65
66  case "$ac_option" in
67  -*=*) ac_optarg=`echo "$ac_option" | sed 's/[-_a-zA-Z0-9]*=//'` ;;
68  *) ac_optarg= ;;
69  esac
70
71  # Accept the important Cygnus configure options, so we can diagnose typos.
72
73  case "$ac_option" in
74
75  -bindir | --bindir | --bindi | --bind | --bin | --bi)
76    ac_prev=bindir ;;
77  -bindir=* | --bindir=* | --bindi=* | --bind=* | --bin=* | --bi=*)
78    bindir="$ac_optarg" ;;
79
80  -build | --build | --buil | --bui | --bu)
81    ac_prev=build ;;
82  -build=* | --build=* | --buil=* | --bui=* | --bu=*)
83    build="$ac_optarg" ;;
84
85  -cache-file | --cache-file | --cache-fil | --cache-fi \
86  | --cache-f | --cache- | --cache | --cach | --cac | --ca | --c)
87    ac_prev=cache_file ;;
88  -cache-file=* | --cache-file=* | --cache-fil=* | --cache-fi=* \
89  | --cache-f=* | --cache-=* | --cache=* | --cach=* | --cac=* | --ca=* | --c=*)
90    cache_file="$ac_optarg" ;;
91
92  -datadir | --datadir | --datadi | --datad | --data | --dat | --da)
93    ac_prev=datadir ;;
94  -datadir=* | --datadir=* | --datadi=* | --datad=* | --data=* | --dat=* \
95  | --da=*)
96    datadir="$ac_optarg" ;;
97
98  -disable-* | --disable-*)
99    ac_feature=`echo $ac_option|sed -e 's/-*disable-//'`
100    # Reject names that are not valid shell variable names.
101    if test -n "`echo $ac_feature| sed 's/[-a-zA-Z0-9_]//g'`"; then
102      { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
103    fi
104    ac_feature=`echo $ac_feature| sed 's/-/_/g'`
105    eval "enable_${ac_feature}=no" ;;
106
107  -enable-* | --enable-*)
108    ac_feature=`echo $ac_option|sed -e 's/-*enable-//' -e 's/=.*//'`
109    # Reject names that are not valid shell variable names.
110    if test -n "`echo $ac_feature| sed 's/[-_a-zA-Z0-9]//g'`"; then
111      { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
112    fi
113    ac_feature=`echo $ac_feature| sed 's/-/_/g'`
114    case "$ac_option" in
115      *=*) ;;
116      *) ac_optarg=yes ;;
117    esac
118    eval "enable_${ac_feature}='$ac_optarg'" ;;
119
120  -exec-prefix | --exec_prefix | --exec-prefix | --exec-prefi \
121  | --exec-pref | --exec-pre | --exec-pr | --exec-p | --exec- \
122  | --exec | --exe | --ex)
123    ac_prev=exec_prefix ;;
124  -exec-prefix=* | --exec_prefix=* | --exec-prefix=* | --exec-prefi=* \
125  | --exec-pref=* | --exec-pre=* | --exec-pr=* | --exec-p=* | --exec-=* \
126  | --exec=* | --exe=* | --ex=*)
127    exec_prefix="$ac_optarg" ;;
128
129  -gas | --gas | --ga | --g)
130    # Obsolete; use --with-gas.
131    with_gas=yes ;;
132
133  -help | --help | --hel | --he)
134    # Omit some internal or obsolete options to make the list less imposing.
135    # This message is too long to be a string in the A/UX 3.1 sh.
136    cat << EOF
137Usage: configure [options] [host]
138Options: [defaults in brackets after descriptions]
139Configuration:
140  --cache-file=FILE       cache test results in FILE
141  --help                  print this message
142  --no-create             do not create output files
143  --quiet, --silent       do not print \`checking...' messages
144  --version               print the version of autoconf that created configure
145Directory and file names:
146  --prefix=PREFIX         install architecture-independent files in PREFIX
147                          [$ac_default_prefix]
148  --exec-prefix=EPREFIX   install architecture-dependent files in EPREFIX
149                          [same as prefix]
150  --bindir=DIR            user executables in DIR [EPREFIX/bin]
151  --sbindir=DIR           system admin executables in DIR [EPREFIX/sbin]
152  --libexecdir=DIR        program executables in DIR [EPREFIX/libexec]
153  --datadir=DIR           read-only architecture-independent data in DIR
154                          [PREFIX/share]
155  --sysconfdir=DIR        read-only single-machine data in DIR [PREFIX/etc]
156  --sharedstatedir=DIR    modifiable architecture-independent data in DIR
157                          [PREFIX/com]
158  --localstatedir=DIR     modifiable single-machine data in DIR [PREFIX/var]
159  --libdir=DIR            object code libraries in DIR [EPREFIX/lib]
160  --includedir=DIR        C header files in DIR [PREFIX/include]
161  --oldincludedir=DIR     C header files for non-gcc in DIR [/usr/include]
162  --infodir=DIR           info documentation in DIR [PREFIX/info]
163  --mandir=DIR            man documentation in DIR [PREFIX/man]
164  --srcdir=DIR            find the sources in DIR [configure dir or ..]
165  --program-prefix=PREFIX prepend PREFIX to installed program names
166  --program-suffix=SUFFIX append SUFFIX to installed program names
167  --program-transform-name=PROGRAM
168                          run sed PROGRAM on installed program names
169EOF
170    cat << EOF
171Host type:
172  --build=BUILD           configure for building on BUILD [BUILD=HOST]
173  --host=HOST             configure for HOST [guessed]
174  --target=TARGET         configure for TARGET [TARGET=HOST]
175Features and packages:
176  --disable-FEATURE       do not include FEATURE (same as --enable-FEATURE=no)
177  --enable-FEATURE[=ARG]  include FEATURE [ARG=yes]
178  --with-PACKAGE[=ARG]    use PACKAGE [ARG=yes]
179  --without-PACKAGE       do not use PACKAGE (same as --with-PACKAGE=no)
180  --x-includes=DIR        X include files are in DIR
181  --x-libraries=DIR       X library files are in DIR
182EOF
183    if test -n "$ac_help"; then
184      echo "--enable and --with options recognized:$ac_help"
185    fi
186    exit 0 ;;
187
188  -host | --host | --hos | --ho)
189    ac_prev=host ;;
190  -host=* | --host=* | --hos=* | --ho=*)
191    host="$ac_optarg" ;;
192
193  -includedir | --includedir | --includedi | --included | --include \
194  | --includ | --inclu | --incl | --inc)
195    ac_prev=includedir ;;
196  -includedir=* | --includedir=* | --includedi=* | --included=* | --include=* \
197  | --includ=* | --inclu=* | --incl=* | --inc=*)
198    includedir="$ac_optarg" ;;
199
200  -infodir | --infodir | --infodi | --infod | --info | --inf)
201    ac_prev=infodir ;;
202  -infodir=* | --infodir=* | --infodi=* | --infod=* | --info=* | --inf=*)
203    infodir="$ac_optarg" ;;
204
205  -libdir | --libdir | --libdi | --libd)
206    ac_prev=libdir ;;
207  -libdir=* | --libdir=* | --libdi=* | --libd=*)
208    libdir="$ac_optarg" ;;
209
210  -libexecdir | --libexecdir | --libexecdi | --libexecd | --libexec \
211  | --libexe | --libex | --libe)
212    ac_prev=libexecdir ;;
213  -libexecdir=* | --libexecdir=* | --libexecdi=* | --libexecd=* | --libexec=* \
214  | --libexe=* | --libex=* | --libe=*)
215    libexecdir="$ac_optarg" ;;
216
217  -localstatedir | --localstatedir | --localstatedi | --localstated \
218  | --localstate | --localstat | --localsta | --localst \
219  | --locals | --local | --loca | --loc | --lo)
220    ac_prev=localstatedir ;;
221  -localstatedir=* | --localstatedir=* | --localstatedi=* | --localstated=* \
222  | --localstate=* | --localstat=* | --localsta=* | --localst=* \
223  | --locals=* | --local=* | --loca=* | --loc=* | --lo=*)
224    localstatedir="$ac_optarg" ;;
225
226  -mandir | --mandir | --mandi | --mand | --man | --ma | --m)
227    ac_prev=mandir ;;
228  -mandir=* | --mandir=* | --mandi=* | --mand=* | --man=* | --ma=* | --m=*)
229    mandir="$ac_optarg" ;;
230
231  -nfp | --nfp | --nf)
232    # Obsolete; use --without-fp.
233    with_fp=no ;;
234
235  -no-create | --no-create | --no-creat | --no-crea | --no-cre \
236  | --no-cr | --no-c)
237    no_create=yes ;;
238
239  -no-recursion | --no-recursion | --no-recursio | --no-recursi \
240  | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r)
241    no_recursion=yes ;;
242
243  -oldincludedir | --oldincludedir | --oldincludedi | --oldincluded \
244  | --oldinclude | --oldinclud | --oldinclu | --oldincl | --oldinc \
245  | --oldin | --oldi | --old | --ol | --o)
246    ac_prev=oldincludedir ;;
247  -oldincludedir=* | --oldincludedir=* | --oldincludedi=* | --oldincluded=* \
248  | --oldinclude=* | --oldinclud=* | --oldinclu=* | --oldincl=* | --oldinc=* \
249  | --oldin=* | --oldi=* | --old=* | --ol=* | --o=*)
250    oldincludedir="$ac_optarg" ;;
251
252  -prefix | --prefix | --prefi | --pref | --pre | --pr | --p)
253    ac_prev=prefix ;;
254  -prefix=* | --prefix=* | --prefi=* | --pref=* | --pre=* | --pr=* | --p=*)
255    prefix="$ac_optarg" ;;
256
257  -program-prefix | --program-prefix | --program-prefi | --program-pref \
258  | --program-pre | --program-pr | --program-p)
259    ac_prev=program_prefix ;;
260  -program-prefix=* | --program-prefix=* | --program-prefi=* \
261  | --program-pref=* | --program-pre=* | --program-pr=* | --program-p=*)
262    program_prefix="$ac_optarg" ;;
263
264  -program-suffix | --program-suffix | --program-suffi | --program-suff \
265  | --program-suf | --program-su | --program-s)
266    ac_prev=program_suffix ;;
267  -program-suffix=* | --program-suffix=* | --program-suffi=* \
268  | --program-suff=* | --program-suf=* | --program-su=* | --program-s=*)
269    program_suffix="$ac_optarg" ;;
270
271  -program-transform-name | --program-transform-name \
272  | --program-transform-nam | --program-transform-na \
273  | --program-transform-n | --program-transform- \
274  | --program-transform | --program-transfor \
275  | --program-transfo | --program-transf \
276  | --program-trans | --program-tran \
277  | --progr-tra | --program-tr | --program-t)
278    ac_prev=program_transform_name ;;
279  -program-transform-name=* | --program-transform-name=* \
280  | --program-transform-nam=* | --program-transform-na=* \
281  | --program-transform-n=* | --program-transform-=* \
282  | --program-transform=* | --program-transfor=* \
283  | --program-transfo=* | --program-transf=* \
284  | --program-trans=* | --program-tran=* \
285  | --progr-tra=* | --program-tr=* | --program-t=*)
286    program_transform_name="$ac_optarg" ;;
287
288  -q | -quiet | --quiet | --quie | --qui | --qu | --q \
289  | -silent | --silent | --silen | --sile | --sil)
290    silent=yes ;;
291
292  -sbindir | --sbindir | --sbindi | --sbind | --sbin | --sbi | --sb)
293    ac_prev=sbindir ;;
294  -sbindir=* | --sbindir=* | --sbindi=* | --sbind=* | --sbin=* \
295  | --sbi=* | --sb=*)
296    sbindir="$ac_optarg" ;;
297
298  -sharedstatedir | --sharedstatedir | --sharedstatedi \
299  | --sharedstated | --sharedstate | --sharedstat | --sharedsta \
300  | --sharedst | --shareds | --shared | --share | --shar \
301  | --sha | --sh)
302    ac_prev=sharedstatedir ;;
303  -sharedstatedir=* | --sharedstatedir=* | --sharedstatedi=* \
304  | --sharedstated=* | --sharedstate=* | --sharedstat=* | --sharedsta=* \
305  | --sharedst=* | --shareds=* | --shared=* | --share=* | --shar=* \
306  | --sha=* | --sh=*)
307    sharedstatedir="$ac_optarg" ;;
308
309  -site | --site | --sit)
310    ac_prev=site ;;
311  -site=* | --site=* | --sit=*)
312    site="$ac_optarg" ;;
313
314  -srcdir | --srcdir | --srcdi | --srcd | --src | --sr)
315    ac_prev=srcdir ;;
316  -srcdir=* | --srcdir=* | --srcdi=* | --srcd=* | --src=* | --sr=*)
317    srcdir="$ac_optarg" ;;
318
319  -sysconfdir | --sysconfdir | --sysconfdi | --sysconfd | --sysconf \
320  | --syscon | --sysco | --sysc | --sys | --sy)
321    ac_prev=sysconfdir ;;
322  -sysconfdir=* | --sysconfdir=* | --sysconfdi=* | --sysconfd=* | --sysconf=* \
323  | --syscon=* | --sysco=* | --sysc=* | --sys=* | --sy=*)
324    sysconfdir="$ac_optarg" ;;
325
326  -target | --target | --targe | --targ | --tar | --ta | --t)
327    ac_prev=target ;;
328  -target=* | --target=* | --targe=* | --targ=* | --tar=* | --ta=* | --t=*)
329    target="$ac_optarg" ;;
330
331  -v | -verbose | --verbose | --verbos | --verbo | --verb)
332    verbose=yes ;;
333
334  -version | --version | --versio | --versi | --vers)
335    echo "configure generated by autoconf version 2.12"
336    exit 0 ;;
337
338  -with-* | --with-*)
339    ac_package=`echo $ac_option|sed -e 's/-*with-//' -e 's/=.*//'`
340    # Reject names that are not valid shell variable names.
341    if test -n "`echo $ac_package| sed 's/[-_a-zA-Z0-9]//g'`"; then
342      { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
343    fi
344    ac_package=`echo $ac_package| sed 's/-/_/g'`
345    case "$ac_option" in
346      *=*) ;;
347      *) ac_optarg=yes ;;
348    esac
349    eval "with_${ac_package}='$ac_optarg'" ;;
350
351  -without-* | --without-*)
352    ac_package=`echo $ac_option|sed -e 's/-*without-//'`
353    # Reject names that are not valid shell variable names.
354    if test -n "`echo $ac_package| sed 's/[-a-zA-Z0-9_]//g'`"; then
355      { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
356    fi
357    ac_package=`echo $ac_package| sed 's/-/_/g'`
358    eval "with_${ac_package}=no" ;;
359
360  --x)
361    # Obsolete; use --with-x.
362    with_x=yes ;;
363
364  -x-includes | --x-includes | --x-include | --x-includ | --x-inclu \
365  | --x-incl | --x-inc | --x-in | --x-i)
366    ac_prev=x_includes ;;
367  -x-includes=* | --x-includes=* | --x-include=* | --x-includ=* | --x-inclu=* \
368  | --x-incl=* | --x-inc=* | --x-in=* | --x-i=*)
369    x_includes="$ac_optarg" ;;
370
371  -x-libraries | --x-libraries | --x-librarie | --x-librari \
372  | --x-librar | --x-libra | --x-libr | --x-lib | --x-li | --x-l)
373    ac_prev=x_libraries ;;
374  -x-libraries=* | --x-libraries=* | --x-librarie=* | --x-librari=* \
375  | --x-librar=* | --x-libra=* | --x-libr=* | --x-lib=* | --x-li=* | --x-l=*)
376    x_libraries="$ac_optarg" ;;
377
378  -*) { echo "configure: error: $ac_option: invalid option; use --help to show usage" 1>&2; exit 1; }
379    ;;
380
381  *)
382    if test -n "`echo $ac_option| sed 's/[-a-z0-9.]//g'`"; then
383      echo "configure: warning: $ac_option: invalid host type" 1>&2
384    fi
385    if test "x$nonopt" != xNONE; then
386      { echo "configure: error: can only configure for one host and one target at a time" 1>&2; exit 1; }
387    fi
388    nonopt="$ac_option"
389    ;;
390
391  esac
392done
393
394if test -n "$ac_prev"; then
395  { echo "configure: error: missing argument to --`echo $ac_prev | sed 's/_/-/g'`" 1>&2; exit 1; }
396fi
397
398trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15
399
400# File descriptor usage:
401# 0 standard input
402# 1 file creation
403# 2 errors and warnings
404# 3 some systems may open it to /dev/tty
405# 4 used on the Kubota Titan
406# 6 checking for... messages and results
407# 5 compiler messages saved in config.log
408if test "$silent" = yes; then
409  exec 6>/dev/null
410else
411  exec 6>&1
412fi
413exec 5>./config.log
414
415echo "\
416This file contains any messages produced by compilers while
417running configure, to aid debugging if configure makes a mistake.
418" 1>&5
419
420# Strip out --no-create and --no-recursion so they do not pile up.
421# Also quote any args containing shell metacharacters.
422ac_configure_args=
423for ac_arg
424do
425  case "$ac_arg" in
426  -no-create | --no-create | --no-creat | --no-crea | --no-cre \
427  | --no-cr | --no-c) ;;
428  -no-recursion | --no-recursion | --no-recursio | --no-recursi \
429  | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r) ;;
430  *" "*|*"	"*|*[\[\]\~\#\$\^\&\*\(\)\{\}\\\|\;\<\>\?]*)
431  ac_configure_args="$ac_configure_args '$ac_arg'" ;;
432  *) ac_configure_args="$ac_configure_args $ac_arg" ;;
433  esac
434done
435
436# NLS nuisances.
437# Only set these to C if already set.  These must not be set unconditionally
438# because not all systems understand e.g. LANG=C (notably SCO).
439# Fixing LC_MESSAGES prevents Solaris sh from translating var values in `set'!
440# Non-C LC_CTYPE values break the ctype check.
441if test "${LANG+set}"   = set; then LANG=C;   export LANG;   fi
442if test "${LC_ALL+set}" = set; then LC_ALL=C; export LC_ALL; fi
443if test "${LC_MESSAGES+set}" = set; then LC_MESSAGES=C; export LC_MESSAGES; fi
444if test "${LC_CTYPE+set}"    = set; then LC_CTYPE=C;    export LC_CTYPE;    fi
445
446# confdefs.h avoids OS command line length limits that DEFS can exceed.
447rm -rf conftest* confdefs.h
448# AIX cpp loses on an empty file, so make sure it contains at least a newline.
449echo > confdefs.h
450
451# A filename unique to this package, relative to the directory that
452# configure is in, which we can look for to find out if srcdir is correct.
453ac_unique_file=lnx2bsd.h
454
455# Find the source files, if location was not specified.
456if test -z "$srcdir"; then
457  ac_srcdir_defaulted=yes
458  # Try the directory containing this script, then its parent.
459  ac_prog=$0
460  ac_confdir=`echo $ac_prog|sed 's%/[^/][^/]*$%%'`
461  test "x$ac_confdir" = "x$ac_prog" && ac_confdir=.
462  srcdir=$ac_confdir
463  if test ! -r $srcdir/$ac_unique_file; then
464    srcdir=..
465  fi
466else
467  ac_srcdir_defaulted=no
468fi
469if test ! -r $srcdir/$ac_unique_file; then
470  if test "$ac_srcdir_defaulted" = yes; then
471    { echo "configure: error: can not find sources in $ac_confdir or .." 1>&2; exit 1; }
472  else
473    { echo "configure: error: can not find sources in $srcdir" 1>&2; exit 1; }
474  fi
475fi
476srcdir=`echo "${srcdir}" | sed 's%\([^/]\)/*$%\1%'`
477
478# Prefer explicitly selected file to automatically selected ones.
479if test -z "$CONFIG_SITE"; then
480  if test "x$prefix" != xNONE; then
481    CONFIG_SITE="$prefix/share/config.site $prefix/etc/config.site"
482  else
483    CONFIG_SITE="$ac_default_prefix/share/config.site $ac_default_prefix/etc/config.site"
484  fi
485fi
486for ac_site_file in $CONFIG_SITE; do
487  if test -r "$ac_site_file"; then
488    echo "loading site script $ac_site_file"
489    . "$ac_site_file"
490  fi
491done
492
493if test -r "$cache_file"; then
494  echo "loading cache $cache_file"
495  . $cache_file
496else
497  echo "creating cache $cache_file"
498  > $cache_file
499fi
500
501ac_ext=c
502# CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
503ac_cpp='$CPP $CPPFLAGS'
504ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
505ac_link='${CC-cc} -o conftest $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
506cross_compiling=$ac_cv_prog_cc_cross
507
508if (echo "testing\c"; echo 1,2,3) | grep c >/dev/null; then
509  # Stardent Vistra SVR4 grep lacks -e, says ghazi@caip.rutgers.edu.
510  if (echo -n testing; echo 1,2,3) | sed s/-n/xn/ | grep xn >/dev/null; then
511    ac_n= ac_c='
512' ac_t='	'
513  else
514    ac_n=-n ac_c= ac_t=
515  fi
516else
517  ac_n= ac_c='\c' ac_t=
518fi
519
520
521
522# Extract the first word of "gcc", so it can be a program name with args.
523set dummy gcc; ac_word=$2
524echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
525echo "configure:526: checking for $ac_word" >&5
526if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
527  echo $ac_n "(cached) $ac_c" 1>&6
528else
529  if test -n "$CC"; then
530  ac_cv_prog_CC="$CC" # Let the user override the test.
531else
532  IFS="${IFS= 	}"; ac_save_ifs="$IFS"; IFS="${IFS}:"
533  for ac_dir in $PATH; do
534    test -z "$ac_dir" && ac_dir=.
535    if test -f $ac_dir/$ac_word; then
536      ac_cv_prog_CC="gcc"
537      break
538    fi
539  done
540  IFS="$ac_save_ifs"
541fi
542fi
543CC="$ac_cv_prog_CC"
544if test -n "$CC"; then
545  echo "$ac_t""$CC" 1>&6
546else
547  echo "$ac_t""no" 1>&6
548fi
549
550if test -z "$CC"; then
551  # Extract the first word of "cc", so it can be a program name with args.
552set dummy cc; ac_word=$2
553echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
554echo "configure:555: checking for $ac_word" >&5
555if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
556  echo $ac_n "(cached) $ac_c" 1>&6
557else
558  if test -n "$CC"; then
559  ac_cv_prog_CC="$CC" # Let the user override the test.
560else
561  IFS="${IFS= 	}"; ac_save_ifs="$IFS"; IFS="${IFS}:"
562  ac_prog_rejected=no
563  for ac_dir in $PATH; do
564    test -z "$ac_dir" && ac_dir=.
565    if test -f $ac_dir/$ac_word; then
566      if test "$ac_dir/$ac_word" = "/usr/ucb/cc"; then
567        ac_prog_rejected=yes
568	continue
569      fi
570      ac_cv_prog_CC="cc"
571      break
572    fi
573  done
574  IFS="$ac_save_ifs"
575if test $ac_prog_rejected = yes; then
576  # We found a bogon in the path, so make sure we never use it.
577  set dummy $ac_cv_prog_CC
578  shift
579  if test $# -gt 0; then
580    # We chose a different compiler from the bogus one.
581    # However, it has the same basename, so the bogon will be chosen
582    # first if we set CC to just the basename; use the full file name.
583    shift
584    set dummy "$ac_dir/$ac_word" "$@"
585    shift
586    ac_cv_prog_CC="$@"
587  fi
588fi
589fi
590fi
591CC="$ac_cv_prog_CC"
592if test -n "$CC"; then
593  echo "$ac_t""$CC" 1>&6
594else
595  echo "$ac_t""no" 1>&6
596fi
597
598  test -z "$CC" && { echo "configure: error: no acceptable cc found in \$PATH" 1>&2; exit 1; }
599fi
600
601echo $ac_n "checking whether the C compiler ($CC $CFLAGS $LDFLAGS) works""... $ac_c" 1>&6
602echo "configure:603: checking whether the C compiler ($CC $CFLAGS $LDFLAGS) works" >&5
603
604ac_ext=c
605# CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
606ac_cpp='$CPP $CPPFLAGS'
607ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
608ac_link='${CC-cc} -o conftest $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
609cross_compiling=$ac_cv_prog_cc_cross
610
611cat > conftest.$ac_ext <<EOF
612#line 613 "configure"
613#include "confdefs.h"
614main(){return(0);}
615EOF
616if { (eval echo configure:617: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest; then
617  ac_cv_prog_cc_works=yes
618  # If we can't run a trivial program, we are probably using a cross compiler.
619  if (./conftest; exit) 2>/dev/null; then
620    ac_cv_prog_cc_cross=no
621  else
622    ac_cv_prog_cc_cross=yes
623  fi
624else
625  echo "configure: failed program was:" >&5
626  cat conftest.$ac_ext >&5
627  ac_cv_prog_cc_works=no
628fi
629rm -fr conftest*
630
631echo "$ac_t""$ac_cv_prog_cc_works" 1>&6
632if test $ac_cv_prog_cc_works = no; then
633  { echo "configure: error: installation or configuration problem: C compiler cannot create executables." 1>&2; exit 1; }
634fi
635echo $ac_n "checking whether the C compiler ($CC $CFLAGS $LDFLAGS) is a cross-compiler""... $ac_c" 1>&6
636echo "configure:637: checking whether the C compiler ($CC $CFLAGS $LDFLAGS) is a cross-compiler" >&5
637echo "$ac_t""$ac_cv_prog_cc_cross" 1>&6
638cross_compiling=$ac_cv_prog_cc_cross
639
640echo $ac_n "checking whether we are using GNU C""... $ac_c" 1>&6
641echo "configure:642: checking whether we are using GNU C" >&5
642if eval "test \"`echo '$''{'ac_cv_prog_gcc'+set}'`\" = set"; then
643  echo $ac_n "(cached) $ac_c" 1>&6
644else
645  cat > conftest.c <<EOF
646#ifdef __GNUC__
647  yes;
648#endif
649EOF
650if { ac_try='${CC-cc} -E conftest.c'; { (eval echo configure:651: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }; } | egrep yes >/dev/null 2>&1; then
651  ac_cv_prog_gcc=yes
652else
653  ac_cv_prog_gcc=no
654fi
655fi
656
657echo "$ac_t""$ac_cv_prog_gcc" 1>&6
658
659if test $ac_cv_prog_gcc = yes; then
660  GCC=yes
661  ac_test_CFLAGS="${CFLAGS+set}"
662  ac_save_CFLAGS="$CFLAGS"
663  CFLAGS=
664  echo $ac_n "checking whether ${CC-cc} accepts -g""... $ac_c" 1>&6
665echo "configure:666: checking whether ${CC-cc} accepts -g" >&5
666if eval "test \"`echo '$''{'ac_cv_prog_cc_g'+set}'`\" = set"; then
667  echo $ac_n "(cached) $ac_c" 1>&6
668else
669  echo 'void f(){}' > conftest.c
670if test -z "`${CC-cc} -g -c conftest.c 2>&1`"; then
671  ac_cv_prog_cc_g=yes
672else
673  ac_cv_prog_cc_g=no
674fi
675rm -f conftest*
676
677fi
678
679echo "$ac_t""$ac_cv_prog_cc_g" 1>&6
680  if test "$ac_test_CFLAGS" = set; then
681    CFLAGS="$ac_save_CFLAGS"
682  elif test $ac_cv_prog_cc_g = yes; then
683    CFLAGS="-g -O2"
684  else
685    CFLAGS="-O2"
686  fi
687else
688  GCC=
689  test "${CFLAGS+set}" = set || CFLAGS="-g"
690fi
691
692echo $ac_n "checking whether ${MAKE-make} sets \${MAKE}""... $ac_c" 1>&6
693echo "configure:694: checking whether ${MAKE-make} sets \${MAKE}" >&5
694set dummy ${MAKE-make}; ac_make=`echo "$2" | sed 'y%./+-%__p_%'`
695if eval "test \"`echo '$''{'ac_cv_prog_make_${ac_make}_set'+set}'`\" = set"; then
696  echo $ac_n "(cached) $ac_c" 1>&6
697else
698  cat > conftestmake <<\EOF
699all:
700	@echo 'ac_maketemp="${MAKE}"'
701EOF
702# GNU make sometimes prints "make[1]: Entering...", which would confuse us.
703eval `${MAKE-make} -f conftestmake 2>/dev/null | grep temp=`
704if test -n "$ac_maketemp"; then
705  eval ac_cv_prog_make_${ac_make}_set=yes
706else
707  eval ac_cv_prog_make_${ac_make}_set=no
708fi
709rm -f conftestmake
710fi
711if eval "test \"`echo '$ac_cv_prog_make_'${ac_make}_set`\" = yes"; then
712  echo "$ac_t""yes" 1>&6
713  SET_MAKE=
714else
715  echo "$ac_t""no" 1>&6
716  SET_MAKE="MAKE=${MAKE-make}"
717fi
718
719
720echo $ac_n "checking for gethostbyaddr in -lsocket""... $ac_c" 1>&6
721echo "configure:722: checking for gethostbyaddr in -lsocket" >&5
722ac_lib_var=`echo socket'_'gethostbyaddr | sed 'y%./+-%__p_%'`
723if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
724  echo $ac_n "(cached) $ac_c" 1>&6
725else
726  ac_save_LIBS="$LIBS"
727LIBS="-lsocket  $LIBS"
728cat > conftest.$ac_ext <<EOF
729#line 730 "configure"
730#include "confdefs.h"
731/* Override any gcc2 internal prototype to avoid an error.  */
732/* We use char because int might match the return type of a gcc2
733    builtin and then its argument prototype would still apply.  */
734char gethostbyaddr();
735
736int main() {
737gethostbyaddr()
738; return 0; }
739EOF
740if { (eval echo configure:741: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest; then
741  rm -rf conftest*
742  eval "ac_cv_lib_$ac_lib_var=yes"
743else
744  echo "configure: failed program was:" >&5
745  cat conftest.$ac_ext >&5
746  rm -rf conftest*
747  eval "ac_cv_lib_$ac_lib_var=no"
748fi
749rm -f conftest*
750LIBS="$ac_save_LIBS"
751
752fi
753if eval "test \"`echo '$ac_cv_lib_'$ac_lib_var`\" = yes"; then
754  echo "$ac_t""yes" 1>&6
755    ac_tr_lib=HAVE_LIB`echo socket | sed -e 's/[^a-zA-Z0-9_]/_/g' \
756    -e 'y/abcdefghijklmnopqrstuvwxyz/ABCDEFGHIJKLMNOPQRSTUVWXYZ/'`
757  cat >> confdefs.h <<EOF
758#define $ac_tr_lib 1
759EOF
760
761  LIBS="-lsocket $LIBS"
762
763else
764  echo "$ac_t""no" 1>&6
765fi
766
767echo $ac_n "checking for gethostbyaddr in -lxnet""... $ac_c" 1>&6
768echo "configure:769: checking for gethostbyaddr in -lxnet" >&5
769ac_lib_var=`echo xnet'_'gethostbyaddr | sed 'y%./+-%__p_%'`
770if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
771  echo $ac_n "(cached) $ac_c" 1>&6
772else
773  ac_save_LIBS="$LIBS"
774LIBS="-lxnet  $LIBS"
775cat > conftest.$ac_ext <<EOF
776#line 777 "configure"
777#include "confdefs.h"
778/* Override any gcc2 internal prototype to avoid an error.  */
779/* We use char because int might match the return type of a gcc2
780    builtin and then its argument prototype would still apply.  */
781char gethostbyaddr();
782
783int main() {
784gethostbyaddr()
785; return 0; }
786EOF
787if { (eval echo configure:788: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest; then
788  rm -rf conftest*
789  eval "ac_cv_lib_$ac_lib_var=yes"
790else
791  echo "configure: failed program was:" >&5
792  cat conftest.$ac_ext >&5
793  rm -rf conftest*
794  eval "ac_cv_lib_$ac_lib_var=no"
795fi
796rm -f conftest*
797LIBS="$ac_save_LIBS"
798
799fi
800if eval "test \"`echo '$ac_cv_lib_'$ac_lib_var`\" = yes"; then
801  echo "$ac_t""yes" 1>&6
802    ac_tr_lib=HAVE_LIB`echo xnet | sed -e 's/[^a-zA-Z0-9_]/_/g' \
803    -e 'y/abcdefghijklmnopqrstuvwxyz/ABCDEFGHIJKLMNOPQRSTUVWXYZ/'`
804  cat >> confdefs.h <<EOF
805#define $ac_tr_lib 1
806EOF
807
808  LIBS="-lxnet $LIBS"
809
810else
811  echo "$ac_t""no" 1>&6
812fi
813
814
815echo $ac_n "checking how to run the C preprocessor""... $ac_c" 1>&6
816echo "configure:817: checking how to run the C preprocessor" >&5
817# On Suns, sometimes $CPP names a directory.
818if test -n "$CPP" && test -d "$CPP"; then
819  CPP=
820fi
821if test -z "$CPP"; then
822if eval "test \"`echo '$''{'ac_cv_prog_CPP'+set}'`\" = set"; then
823  echo $ac_n "(cached) $ac_c" 1>&6
824else
825    # This must be in double quotes, not single quotes, because CPP may get
826  # substituted into the Makefile and "${CC-cc}" will confuse make.
827  CPP="${CC-cc} -E"
828  # On the NeXT, cc -E runs the code through the compiler's parser,
829  # not just through cpp.
830  cat > conftest.$ac_ext <<EOF
831#line 832 "configure"
832#include "confdefs.h"
833#include <assert.h>
834Syntax Error
835EOF
836ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
837{ (eval echo configure:838: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
838ac_err=`grep -v '^ *+' conftest.out`
839if test -z "$ac_err"; then
840  :
841else
842  echo "$ac_err" >&5
843  echo "configure: failed program was:" >&5
844  cat conftest.$ac_ext >&5
845  rm -rf conftest*
846  CPP="${CC-cc} -E -traditional-cpp"
847  cat > conftest.$ac_ext <<EOF
848#line 849 "configure"
849#include "confdefs.h"
850#include <assert.h>
851Syntax Error
852EOF
853ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
854{ (eval echo configure:855: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
855ac_err=`grep -v '^ *+' conftest.out`
856if test -z "$ac_err"; then
857  :
858else
859  echo "$ac_err" >&5
860  echo "configure: failed program was:" >&5
861  cat conftest.$ac_ext >&5
862  rm -rf conftest*
863  CPP=/lib/cpp
864fi
865rm -f conftest*
866fi
867rm -f conftest*
868  ac_cv_prog_CPP="$CPP"
869fi
870  CPP="$ac_cv_prog_CPP"
871else
872  ac_cv_prog_CPP="$CPP"
873fi
874echo "$ac_t""$CPP" 1>&6
875
876echo $ac_n "checking for ANSI C header files""... $ac_c" 1>&6
877echo "configure:878: checking for ANSI C header files" >&5
878if eval "test \"`echo '$''{'ac_cv_header_stdc'+set}'`\" = set"; then
879  echo $ac_n "(cached) $ac_c" 1>&6
880else
881  cat > conftest.$ac_ext <<EOF
882#line 883 "configure"
883#include "confdefs.h"
884#include <stdlib.h>
885#include <stdarg.h>
886#include <string.h>
887#include <float.h>
888EOF
889ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
890{ (eval echo configure:891: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
891ac_err=`grep -v '^ *+' conftest.out`
892if test -z "$ac_err"; then
893  rm -rf conftest*
894  ac_cv_header_stdc=yes
895else
896  echo "$ac_err" >&5
897  echo "configure: failed program was:" >&5
898  cat conftest.$ac_ext >&5
899  rm -rf conftest*
900  ac_cv_header_stdc=no
901fi
902rm -f conftest*
903
904if test $ac_cv_header_stdc = yes; then
905  # SunOS 4.x string.h does not declare mem*, contrary to ANSI.
906cat > conftest.$ac_ext <<EOF
907#line 908 "configure"
908#include "confdefs.h"
909#include <string.h>
910EOF
911if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
912  egrep "memchr" >/dev/null 2>&1; then
913  :
914else
915  rm -rf conftest*
916  ac_cv_header_stdc=no
917fi
918rm -f conftest*
919
920fi
921
922if test $ac_cv_header_stdc = yes; then
923  # ISC 2.0.2 stdlib.h does not declare free, contrary to ANSI.
924cat > conftest.$ac_ext <<EOF
925#line 926 "configure"
926#include "confdefs.h"
927#include <stdlib.h>
928EOF
929if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
930  egrep "free" >/dev/null 2>&1; then
931  :
932else
933  rm -rf conftest*
934  ac_cv_header_stdc=no
935fi
936rm -f conftest*
937
938fi
939
940if test $ac_cv_header_stdc = yes; then
941  # /bin/cc in Irix-4.0.5 gets non-ANSI ctype macros unless using -ansi.
942if test "$cross_compiling" = yes; then
943  :
944else
945  cat > conftest.$ac_ext <<EOF
946#line 947 "configure"
947#include "confdefs.h"
948#include <ctype.h>
949#define ISLOWER(c) ('a' <= (c) && (c) <= 'z')
950#define TOUPPER(c) (ISLOWER(c) ? 'A' + ((c) - 'a') : (c))
951#define XOR(e, f) (((e) && !(f)) || (!(e) && (f)))
952int main () { int i; for (i = 0; i < 256; i++)
953if (XOR (islower (i), ISLOWER (i)) || toupper (i) != TOUPPER (i)) exit(2);
954exit (0); }
955
956EOF
957if { (eval echo configure:958: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest && (./conftest; exit) 2>/dev/null
958then
959  :
960else
961  echo "configure: failed program was:" >&5
962  cat conftest.$ac_ext >&5
963  rm -fr conftest*
964  ac_cv_header_stdc=no
965fi
966rm -fr conftest*
967fi
968
969fi
970fi
971
972echo "$ac_t""$ac_cv_header_stdc" 1>&6
973if test $ac_cv_header_stdc = yes; then
974  cat >> confdefs.h <<\EOF
975#define STDC_HEADERS 1
976EOF
977
978fi
979
980for ac_hdr in stdio.h signal.h string.h netdb.h netinet/in.h arpa/inet.h fcntl.h sys/time.h sys/types.h sys/socket.h
981do
982ac_safe=`echo "$ac_hdr" | sed 'y%./+-%__p_%'`
983echo $ac_n "checking for $ac_hdr""... $ac_c" 1>&6
984echo "configure:985: checking for $ac_hdr" >&5
985if eval "test \"`echo '$''{'ac_cv_header_$ac_safe'+set}'`\" = set"; then
986  echo $ac_n "(cached) $ac_c" 1>&6
987else
988  cat > conftest.$ac_ext <<EOF
989#line 990 "configure"
990#include "confdefs.h"
991#include <$ac_hdr>
992EOF
993ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
994{ (eval echo configure:995: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
995ac_err=`grep -v '^ *+' conftest.out`
996if test -z "$ac_err"; then
997  rm -rf conftest*
998  eval "ac_cv_header_$ac_safe=yes"
999else
1000  echo "$ac_err" >&5
1001  echo "configure: failed program was:" >&5
1002  cat conftest.$ac_ext >&5
1003  rm -rf conftest*
1004  eval "ac_cv_header_$ac_safe=no"
1005fi
1006rm -f conftest*
1007fi
1008if eval "test \"`echo '$ac_cv_header_'$ac_safe`\" = yes"; then
1009  echo "$ac_t""yes" 1>&6
1010    ac_tr_hdr=HAVE_`echo $ac_hdr | sed 'y%abcdefghijklmnopqrstuvwxyz./-%ABCDEFGHIJKLMNOPQRSTUVWXYZ___%'`
1011  cat >> confdefs.h <<EOF
1012#define $ac_tr_hdr 1
1013EOF
1014
1015else
1016  echo "$ac_t""no" 1>&6
1017fi
1018done
1019
1020
1021echo $ac_n "checking for working const""... $ac_c" 1>&6
1022echo "configure:1023: checking for working const" >&5
1023if eval "test \"`echo '$''{'ac_cv_c_const'+set}'`\" = set"; then
1024  echo $ac_n "(cached) $ac_c" 1>&6
1025else
1026  cat > conftest.$ac_ext <<EOF
1027#line 1028 "configure"
1028#include "confdefs.h"
1029
1030int main() {
1031
1032/* Ultrix mips cc rejects this.  */
1033typedef int charset[2]; const charset x;
1034/* SunOS 4.1.1 cc rejects this.  */
1035char const *const *ccp;
1036char **p;
1037/* NEC SVR4.0.2 mips cc rejects this.  */
1038struct point {int x, y;};
1039static struct point const zero = {0,0};
1040/* AIX XL C 1.02.0.0 rejects this.
1041   It does not let you subtract one const X* pointer from another in an arm
1042   of an if-expression whose if-part is not a constant expression */
1043const char *g = "string";
1044ccp = &g + (g ? g-g : 0);
1045/* HPUX 7.0 cc rejects these. */
1046++ccp;
1047p = (char**) ccp;
1048ccp = (char const *const *) p;
1049{ /* SCO 3.2v4 cc rejects this.  */
1050  char *t;
1051  char const *s = 0 ? (char *) 0 : (char const *) 0;
1052
1053  *t++ = 0;
1054}
1055{ /* Someone thinks the Sun supposedly-ANSI compiler will reject this.  */
1056  int x[] = {25, 17};
1057  const int *foo = &x[0];
1058  ++foo;
1059}
1060{ /* Sun SC1.0 ANSI compiler rejects this -- but not the above. */
1061  typedef const int *iptr;
1062  iptr p = 0;
1063  ++p;
1064}
1065{ /* AIX XL C 1.02.0.0 rejects this saying
1066     "k.c", line 2.27: 1506-025 (S) Operand must be a modifiable lvalue. */
1067  struct s { int j; const int *ap[3]; };
1068  struct s *b; b->j = 5;
1069}
1070{ /* ULTRIX-32 V3.1 (Rev 9) vcc rejects this */
1071  const int foo = 10;
1072}
1073
1074; return 0; }
1075EOF
1076if { (eval echo configure:1077: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
1077  rm -rf conftest*
1078  ac_cv_c_const=yes
1079else
1080  echo "configure: failed program was:" >&5
1081  cat conftest.$ac_ext >&5
1082  rm -rf conftest*
1083  ac_cv_c_const=no
1084fi
1085rm -f conftest*
1086fi
1087
1088echo "$ac_t""$ac_cv_c_const" 1>&6
1089if test $ac_cv_c_const = no; then
1090  cat >> confdefs.h <<\EOF
1091#define const
1092EOF
1093
1094fi
1095
1096echo $ac_n "checking whether time.h and sys/time.h may both be included""... $ac_c" 1>&6
1097echo "configure:1098: checking whether time.h and sys/time.h may both be included" >&5
1098if eval "test \"`echo '$''{'ac_cv_header_time'+set}'`\" = set"; then
1099  echo $ac_n "(cached) $ac_c" 1>&6
1100else
1101  cat > conftest.$ac_ext <<EOF
1102#line 1103 "configure"
1103#include "confdefs.h"
1104#include <sys/types.h>
1105#include <sys/time.h>
1106#include <time.h>
1107int main() {
1108struct tm *tp;
1109; return 0; }
1110EOF
1111if { (eval echo configure:1112: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
1112  rm -rf conftest*
1113  ac_cv_header_time=yes
1114else
1115  echo "configure: failed program was:" >&5
1116  cat conftest.$ac_ext >&5
1117  rm -rf conftest*
1118  ac_cv_header_time=no
1119fi
1120rm -f conftest*
1121fi
1122
1123echo "$ac_t""$ac_cv_header_time" 1>&6
1124if test $ac_cv_header_time = yes; then
1125  cat >> confdefs.h <<\EOF
1126#define TIME_WITH_SYS_TIME 1
1127EOF
1128
1129fi
1130
1131
1132echo $ac_n "checking return type of signal handlers""... $ac_c" 1>&6
1133echo "configure:1134: checking return type of signal handlers" >&5
1134if eval "test \"`echo '$''{'ac_cv_type_signal'+set}'`\" = set"; then
1135  echo $ac_n "(cached) $ac_c" 1>&6
1136else
1137  cat > conftest.$ac_ext <<EOF
1138#line 1139 "configure"
1139#include "confdefs.h"
1140#include <sys/types.h>
1141#include <signal.h>
1142#ifdef signal
1143#undef signal
1144#endif
1145#ifdef __cplusplus
1146extern "C" void (*signal (int, void (*)(int)))(int);
1147#else
1148void (*signal ()) ();
1149#endif
1150
1151int main() {
1152int i;
1153; return 0; }
1154EOF
1155if { (eval echo configure:1156: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
1156  rm -rf conftest*
1157  ac_cv_type_signal=void
1158else
1159  echo "configure: failed program was:" >&5
1160  cat conftest.$ac_ext >&5
1161  rm -rf conftest*
1162  ac_cv_type_signal=int
1163fi
1164rm -f conftest*
1165fi
1166
1167echo "$ac_t""$ac_cv_type_signal" 1>&6
1168cat >> confdefs.h <<EOF
1169#define RETSIGTYPE $ac_cv_type_signal
1170EOF
1171
1172
1173for ac_func in gethostbyaddr
1174do
1175echo $ac_n "checking for $ac_func""... $ac_c" 1>&6
1176echo "configure:1177: checking for $ac_func" >&5
1177if eval "test \"`echo '$''{'ac_cv_func_$ac_func'+set}'`\" = set"; then
1178  echo $ac_n "(cached) $ac_c" 1>&6
1179else
1180  cat > conftest.$ac_ext <<EOF
1181#line 1182 "configure"
1182#include "confdefs.h"
1183/* System header to define __stub macros and hopefully few prototypes,
1184    which can conflict with char $ac_func(); below.  */
1185#include <assert.h>
1186/* Override any gcc2 internal prototype to avoid an error.  */
1187/* We use char because int might match the return type of a gcc2
1188    builtin and then its argument prototype would still apply.  */
1189char $ac_func();
1190
1191int main() {
1192
1193/* The GNU C library defines this for functions which it implements
1194    to always fail with ENOSYS.  Some functions are actually named
1195    something starting with __ and the normal name is an alias.  */
1196#if defined (__stub_$ac_func) || defined (__stub___$ac_func)
1197choke me
1198#else
1199$ac_func();
1200#endif
1201
1202; return 0; }
1203EOF
1204if { (eval echo configure:1205: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest; then
1205  rm -rf conftest*
1206  eval "ac_cv_func_$ac_func=yes"
1207else
1208  echo "configure: failed program was:" >&5
1209  cat conftest.$ac_ext >&5
1210  rm -rf conftest*
1211  eval "ac_cv_func_$ac_func=no"
1212fi
1213rm -f conftest*
1214fi
1215
1216if eval "test \"`echo '$ac_cv_func_'$ac_func`\" = yes"; then
1217  echo "$ac_t""yes" 1>&6
1218    ac_tr_func=HAVE_`echo $ac_func | tr 'abcdefghijklmnopqrstuvwxyz' 'ABCDEFGHIJKLMNOPQRSTUVWXYZ'`
1219  cat >> confdefs.h <<EOF
1220#define $ac_tr_func 1
1221EOF
1222
1223else
1224  echo "$ac_t""no" 1>&6
1225fi
1226done
1227
1228
1229echo 'checking for tcpdump program in the most known common places...'
1230
1231if test -f '/bin/tcpdump' || test -f '/sbin/tcpdump' || test -f '/usr/bin/tcpdump' || test -f '/usr/sbin/tcpdump' || test -f '/usr/local/sbin/tcpdump' || test -f '/usr/local/bin/tcpdump' || test -f '/etc/tcpdump'; then
1232		echo 'tcpdump... found!!'
1233		trap '' 1 2 15
1234cat > confcache <<\EOF
1235# This file is a shell script that caches the results of configure
1236# tests run on this system so they can be shared between configure
1237# scripts and configure runs.  It is not useful on other systems.
1238# If it contains results you don't want to keep, you may remove or edit it.
1239#
1240# By default, configure uses ./config.cache as the cache file,
1241# creating it if it does not exist already.  You can give configure
1242# the --cache-file=FILE option to use a different cache file; that is
1243# what configure does when it calls configure scripts in
1244# subdirectories, so they share the cache.
1245# Giving --cache-file=/dev/null disables caching, for debugging configure.
1246# config.status only pays attention to the cache file if you give it the
1247# --recheck option to rerun configure.
1248#
1249EOF
1250# The following way of writing the cache mishandles newlines in values,
1251# but we know of no workaround that is simple, portable, and efficient.
1252# So, don't put newlines in cache variables' values.
1253# Ultrix sh set writes to stderr and can't be redirected directly,
1254# and sets the high bit in the cache file unless we assign to the vars.
1255(set) 2>&1 |
1256  case `(ac_space=' '; set) 2>&1` in
1257  *ac_space=\ *)
1258    # `set' does not quote correctly, so add quotes (double-quote substitution
1259    # turns \\\\ into \\, and sed turns \\ into \).
1260    sed -n \
1261      -e "s/'/'\\\\''/g" \
1262      -e "s/^\\([a-zA-Z0-9_]*_cv_[a-zA-Z0-9_]*\\)=\\(.*\\)/\\1=\${\\1='\\2'}/p"
1263    ;;
1264  *)
1265    # `set' quotes correctly as required by POSIX, so do not add quotes.
1266    sed -n -e 's/^\([a-zA-Z0-9_]*_cv_[a-zA-Z0-9_]*\)=\(.*\)/\1=${\1=\2}/p'
1267    ;;
1268  esac >> confcache
1269if cmp -s $cache_file confcache; then
1270  :
1271else
1272  if test -w $cache_file; then
1273    echo "updating cache $cache_file"
1274    cat confcache > $cache_file
1275  else
1276    echo "not updating unwritable cache $cache_file"
1277  fi
1278fi
1279rm -f confcache
1280
1281trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15
1282
1283test "x$prefix" = xNONE && prefix=$ac_default_prefix
1284# Let make expand exec_prefix.
1285test "x$exec_prefix" = xNONE && exec_prefix='${prefix}'
1286
1287# Any assignment to VPATH causes Sun make to only execute
1288# the first set of double-colon rules, so remove it if not needed.
1289# If there is a colon in the path, we need to keep it.
1290if test "x$srcdir" = x.; then
1291  ac_vpsub='/^[ 	]*VPATH[ 	]*=[^:]*$/d'
1292fi
1293
1294trap 'rm -f $CONFIG_STATUS conftest*; exit 1' 1 2 15
1295
1296# Transform confdefs.h into DEFS.
1297# Protect against shell expansion while executing Makefile rules.
1298# Protect against Makefile macro expansion.
1299cat > conftest.defs <<\EOF
1300s%#define \([A-Za-z_][A-Za-z0-9_]*\) *\(.*\)%-D\1=\2%g
1301s%[ 	`~#$^&*(){}\\|;'"<>?]%\\&%g
1302s%\[%\\&%g
1303s%\]%\\&%g
1304s%\$%$$%g
1305EOF
1306DEFS=`sed -f conftest.defs confdefs.h | tr '\012' ' '`
1307rm -f conftest.defs
1308
1309
1310# Without the "./", some shells look in PATH for config.status.
1311: ${CONFIG_STATUS=./config.status}
1312
1313echo creating $CONFIG_STATUS
1314rm -f $CONFIG_STATUS
1315cat > $CONFIG_STATUS <<EOF
1316#! /bin/sh
1317# Generated automatically by configure.
1318# Run this file to recreate the current configuration.
1319# This directory was configured as follows,
1320# on host `(hostname || uname -n) 2>/dev/null | sed 1q`:
1321#
1322# $0 $ac_configure_args
1323#
1324# Compiler output produced by configure, useful for debugging
1325# configure, is in ./config.log if it exists.
1326
1327ac_cs_usage="Usage: $CONFIG_STATUS [--recheck] [--version] [--help]"
1328for ac_option
1329do
1330  case "\$ac_option" in
1331  -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
1332    echo "running \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion"
1333    exec \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion ;;
1334  -version | --version | --versio | --versi | --vers | --ver | --ve | --v)
1335    echo "$CONFIG_STATUS generated by autoconf version 2.12"
1336    exit 0 ;;
1337  -help | --help | --hel | --he | --h)
1338    echo "\$ac_cs_usage"; exit 0 ;;
1339  *) echo "\$ac_cs_usage"; exit 1 ;;
1340  esac
1341done
1342
1343ac_given_srcdir=$srcdir
1344
1345trap 'rm -fr `echo "Makefile" | sed "s/:[^ ]*//g"` conftest*; exit 1' 1 2 15
1346EOF
1347cat >> $CONFIG_STATUS <<EOF
1348
1349# Protect against being on the right side of a sed subst in config.status.
1350sed 's/%@/@@/; s/@%/@@/; s/%g\$/@g/; /@g\$/s/[\\\\&%]/\\\\&/g;
1351 s/@@/%@/; s/@@/@%/; s/@g\$/%g/' > conftest.subs <<\\CEOF
1352$ac_vpsub
1353$extrasub
1354s%@CFLAGS@%$CFLAGS%g
1355s%@CPPFLAGS@%$CPPFLAGS%g
1356s%@CXXFLAGS@%$CXXFLAGS%g
1357s%@DEFS@%$DEFS%g
1358s%@LDFLAGS@%$LDFLAGS%g
1359s%@LIBS@%$LIBS%g
1360s%@exec_prefix@%$exec_prefix%g
1361s%@prefix@%$prefix%g
1362s%@program_transform_name@%$program_transform_name%g
1363s%@bindir@%$bindir%g
1364s%@sbindir@%$sbindir%g
1365s%@libexecdir@%$libexecdir%g
1366s%@datadir@%$datadir%g
1367s%@sysconfdir@%$sysconfdir%g
1368s%@sharedstatedir@%$sharedstatedir%g
1369s%@localstatedir@%$localstatedir%g
1370s%@libdir@%$libdir%g
1371s%@includedir@%$includedir%g
1372s%@oldincludedir@%$oldincludedir%g
1373s%@infodir@%$infodir%g
1374s%@mandir@%$mandir%g
1375s%@CC@%$CC%g
1376s%@SET_MAKE@%$SET_MAKE%g
1377s%@CPP@%$CPP%g
1378
1379CEOF
1380EOF
1381
1382cat >> $CONFIG_STATUS <<\EOF
1383
1384# Split the substitutions into bite-sized pieces for seds with
1385# small command number limits, like on Digital OSF/1 and HP-UX.
1386ac_max_sed_cmds=90 # Maximum number of lines to put in a sed script.
1387ac_file=1 # Number of current file.
1388ac_beg=1 # First line for current file.
1389ac_end=$ac_max_sed_cmds # Line after last line for current file.
1390ac_more_lines=:
1391ac_sed_cmds=""
1392while $ac_more_lines; do
1393  if test $ac_beg -gt 1; then
1394    sed "1,${ac_beg}d; ${ac_end}q" conftest.subs > conftest.s$ac_file
1395  else
1396    sed "${ac_end}q" conftest.subs > conftest.s$ac_file
1397  fi
1398  if test ! -s conftest.s$ac_file; then
1399    ac_more_lines=false
1400    rm -f conftest.s$ac_file
1401  else
1402    if test -z "$ac_sed_cmds"; then
1403      ac_sed_cmds="sed -f conftest.s$ac_file"
1404    else
1405      ac_sed_cmds="$ac_sed_cmds | sed -f conftest.s$ac_file"
1406    fi
1407    ac_file=`expr $ac_file + 1`
1408    ac_beg=$ac_end
1409    ac_end=`expr $ac_end + $ac_max_sed_cmds`
1410  fi
1411done
1412if test -z "$ac_sed_cmds"; then
1413  ac_sed_cmds=cat
1414fi
1415EOF
1416
1417cat >> $CONFIG_STATUS <<EOF
1418
1419CONFIG_FILES=\${CONFIG_FILES-"Makefile"}
1420EOF
1421cat >> $CONFIG_STATUS <<\EOF
1422for ac_file in .. $CONFIG_FILES; do if test "x$ac_file" != x..; then
1423  # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
1424  case "$ac_file" in
1425  *:*) ac_file_in=`echo "$ac_file"|sed 's%[^:]*:%%'`
1426       ac_file=`echo "$ac_file"|sed 's%:.*%%'` ;;
1427  *) ac_file_in="${ac_file}.in" ;;
1428  esac
1429
1430  # Adjust a relative srcdir, top_srcdir, and INSTALL for subdirectories.
1431
1432  # Remove last slash and all that follows it.  Not all systems have dirname.
1433  ac_dir=`echo $ac_file|sed 's%/[^/][^/]*$%%'`
1434  if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then
1435    # The file is in a subdirectory.
1436    test ! -d "$ac_dir" && mkdir "$ac_dir"
1437    ac_dir_suffix="/`echo $ac_dir|sed 's%^\./%%'`"
1438    # A "../" for each directory in $ac_dir_suffix.
1439    ac_dots=`echo $ac_dir_suffix|sed 's%/[^/]*%../%g'`
1440  else
1441    ac_dir_suffix= ac_dots=
1442  fi
1443
1444  case "$ac_given_srcdir" in
1445  .)  srcdir=.
1446      if test -z "$ac_dots"; then top_srcdir=.
1447      else top_srcdir=`echo $ac_dots|sed 's%/$%%'`; fi ;;
1448  /*) srcdir="$ac_given_srcdir$ac_dir_suffix"; top_srcdir="$ac_given_srcdir" ;;
1449  *) # Relative path.
1450    srcdir="$ac_dots$ac_given_srcdir$ac_dir_suffix"
1451    top_srcdir="$ac_dots$ac_given_srcdir" ;;
1452  esac
1453
1454
1455  echo creating "$ac_file"
1456  rm -f "$ac_file"
1457  configure_input="Generated automatically from `echo $ac_file_in|sed 's%.*/%%'` by configure."
1458  case "$ac_file" in
1459  *Makefile*) ac_comsub="1i\\
1460# $configure_input" ;;
1461  *) ac_comsub= ;;
1462  esac
1463
1464  ac_file_inputs=`echo $ac_file_in|sed -e "s%^%$ac_given_srcdir/%" -e "s%:% $ac_given_srcdir/%g"`
1465  sed -e "$ac_comsub
1466s%@configure_input@%$configure_input%g
1467s%@srcdir@%$srcdir%g
1468s%@top_srcdir@%$top_srcdir%g
1469" $ac_file_inputs | (eval "$ac_sed_cmds") > $ac_file
1470fi; done
1471rm -f conftest.s*
1472
1473EOF
1474cat >> $CONFIG_STATUS <<EOF
1475
1476EOF
1477cat >> $CONFIG_STATUS <<\EOF
1478
1479exit 0
1480EOF
1481chmod +x $CONFIG_STATUS
1482rm -fr confdefs* $ac_clean_files
1483test "$no_create" = yes || ${CONFIG_SHELL-/bin/sh} $CONFIG_STATUS || exit 1
1484
1485	else
1486		echo 'tcpdump not found...'
1487		echo 'install tcpdump first, this program cannot run without tcpdump.'
1488		echo 'fatal error!!'
1489fi
1490